Subject: Re: [PATCH net-next v4 1/2] net: hsr: require valid EOT supervision TLV

From: "Luka Gejak" <[email-masked]>
Date: Wed, 01 Apr 2026 19:05:25 +0200

On Wed Apr 1, 2026 at 11:52 AM CEST, Fernando Fernandez Mancera wrote:
> On 4/1/26 11:23 AM, [email-masked] wrote:
>> From: Luka Gejak <[email-masked]>
>> 
>> Supervision frames are only valid if terminated with a zero-length EOT
>> TLV. The current check fails to reject non-EOT entries as the terminal
>> TLV, potentially allowing malformed supervision traffic.
>> 
>> Fix this by strictly requiring the terminal TLV to be HSR_TLV_EOT
>> with a length of zero.
>> 
>> Reviewed-by: Felix Maurer <[email-masked]>
>> Signed-off-by: Luka Gejak <[email-masked]>
>> ---
>
> Hi,
>
> This has not been reviewed by Felix. Felix provided his Reviewed-by tag 
> for the v1 which was completely different than this.
>
> Revisions of this patch:
>
> v3: https://lore.kernel.org/all/[email-masked]/
>
> v2: https://lore.kernel.org/all/[email-masked]/
>
> v1: 
> https://lore.kernel.org/all/[email-masked]/
>
> Are these contributions LLM/AI generated? I believe so based on the 
> email history.
>
> AI generated review on rtl8723bs: 
> https://lore.kernel.org/all/[email-masked]/
>
> Another AI generated review on rtl8723bs: 
> https://lore.kernel.org/all/[email-masked]/
>
> Likely an AI generated review on a 1 year old HSR patch: 
> https://lore.kernel.org/all/[email-masked]/
>
> If these are indeed, AI generated contributions or reviews they should 
> be disclosed beforehand. Also there is the Assisted-by: tag. Also note 
> that developer must take full responsibility for the contribution which 
> means understanding it completely.
>
> https://docs.kernel.org/process/coding-assistants.html#signed-off-by-and-developer-certificate-of-origin
>
> Thanks,
> Fernando.

HI Fernando,
One more question, should I include Assisted-by tag in v5 if AI was not 
used for writing code but only for formating and translation of the 
emails to English as I previously mentioned.

Best regards,
Luka Gejak